# Remote Configs (Core)

Endpoints to create, update and read remote configs.

## List remote configs

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated: Use /api/remoteconfigurations/search instead

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfigurations":{"properties":{"remoteConfigurations":{"description":"Array of remote configurations","items":{"$ref":"#/components/schemas/RemoteConfiguration"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"number"}},"title":"RemoteConfigurations","type":"object","description":"RemoteConfigurations"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use /api/remoteconfigurations/search instead","operationId":"getAllRemoteConfigurations","parameters":[{"description":"Number of results to return (max 500)","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"type":"number"}},{"description":"Cursor for pagination - ID to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"Filter by group(s)","in":"query","name":"groups","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"Filter by facility ID","in":"query","name":"facilityId","required":false,"schema":{"type":"string"}},{"description":"Filter by user ID","in":"query","name":"userId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurations"}}},"description":"Central RemoteConfiguration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"List remote configs","tags":["Remote Configs (Core)"]}}}}
```

## Create remote config

> Create a new remote configuration with specified key, value, type, groups, and optional scopes.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfigurationForCreation":{"properties":{"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"key":{"description":"Unique business key of this entity","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScopeForCreation"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"}},"required":["key","valueType","value","groups"],"title":"RemoteConfigurationForCreation","type":"object","description":"RemoteConfigurationForCreation"},"RemoteConfigurationScopeForCreation":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"title":"RemoteConfigurationScopeForCreation","type":"object","description":"RemoteConfigurationScopeForCreation"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs":{"post":{"deprecated":false,"description":"Create a new remote configuration with specified key, value, type, groups, and optional scopes.","operationId":"createRemoteConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurationForCreation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Created entity in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create remote config","tags":["Remote Configs (Core)"]}}}}
```

## Get remote config

> Get a single remote configuration by its unique identifier. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}":{"get":{"deprecated":false,"description":"Get a single remote configuration by its unique identifier. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"getRemoteConfiguration","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Central RemoteConfiguration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get remote config","tags":["Remote Configs (Core)"]}}}}
```

## Update remote config

> Replace an existing remote configuration by its unique identifier. All fields will be replaced with the provided values. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfigurationForPut":{"properties":{"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScopeForCreation"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["version","valueType","value","groups"],"title":"RemoteConfigurationForPut","type":"object","description":"RemoteConfigurationForPut"},"RemoteConfigurationScopeForCreation":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"title":"RemoteConfigurationScopeForCreation","type":"object","description":"RemoteConfigurationScopeForCreation"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}":{"put":{"deprecated":false,"description":"Replace an existing remote configuration by its unique identifier. All fields will be replaced with the provided values. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"putRemoteConfiguration","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurationForPut"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Successfully Changed"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update remote config","tags":["Remote Configs (Core)"]}}}}
```

## Delete remote config

> Delete a remote configuration by its unique identifier. This operation is irreversible. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}":{"delete":{"deprecated":false,"description":"Delete a remote configuration by its unique identifier. This operation is irreversible. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"deleteRemoteConfiguration","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully Deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete remote config","tags":["Remote Configs (Core)"]}}}}
```

## Update remote config

> Update an existing remote configuration by its unique identifier. Only provided fields will be updated, others will remain unchanged. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfigurationForUpdate":{"properties":{"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScopeForCreation"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["version"],"title":"RemoteConfigurationForUpdate","type":"object","description":"RemoteConfigurationForUpdate"},"RemoteConfigurationScopeForCreation":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"title":"RemoteConfigurationScopeForCreation","type":"object","description":"RemoteConfigurationScopeForCreation"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}":{"patch":{"deprecated":false,"description":"Update an existing remote configuration by its unique identifier. Only provided fields will be updated, others will remain unchanged. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"updateRemoteConfiguration","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfigurationForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Successfully Changed"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update remote config","tags":["Remote Configs (Core)"]}}}}
```

## Create remote config scope

> Add a new scope to an existing remote configuration. The scope will be added to the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AddRemoteConfigurationScopeParameter":{"properties":{"remoteConfigVersion":{"description":"The version of the remote config for optimistic locking","minimum":0,"type":"number"},"scope":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationScopeForCreation"}],"description":"The scope to add"}},"required":["scope","remoteConfigVersion"],"title":"AddRemoteConfigurationScopeParameter","type":"object","description":"AddRemoteConfigurationScopeParameter"},"RemoteConfigurationScopeForCreation":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"title":"RemoteConfigurationScopeForCreation","type":"object","description":"RemoteConfigurationScopeForCreation"},"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}/scopes":{"post":{"deprecated":false,"description":"Add a new scope to an existing remote configuration. The scope will be added to the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"addRemoteConfigurationScope","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddRemoteConfigurationScopeParameter"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Updated RemoteConfiguration in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create remote config scope","tags":["Remote Configs (Core)"]}}}}
```

## Delete remote config scope

> Remove a scope from an existing remote configuration by scope ID. The scope will be removed from the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read remote configs.","name":"Remote Configs (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RemoteConfiguration":{"properties":{"created":{"description":"The date this entity was created at the platform","format":"date-time","type":"string"},"flattenScopeIds":{"description":"Generated flatten unique ids of all scope sub elements (userRef, facilityRef)","items":{"type":"string"},"type":"array"},"groups":{"description":"Groups this configuration belongs to","items":{"type":"string"},"maxItems":20,"minItems":1,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"key":{"description":"Unique business key of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last","format":"date-time","type":"string"},"scopes":{"description":"Scopes for this remote configuration","items":{"$ref":"#/components/schemas/RemoteConfigurationScope"},"maxItems":20,"type":"array"},"value":{"description":"The value of this remote configuration","oneOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"}]},"valueType":{"allOf":[{"$ref":"#/components/schemas/RemoteConfigurationValueType"}],"description":"The type of the value"},"version":{"description":"The version of the document for optimistic locking","type":"number"}},"required":["key","valueType","value","groups","id","version","flattenScopeIds"],"title":"RemoteConfiguration","type":"object","description":"RemoteConfiguration"},"RemoteConfigurationScope":{"properties":{"facilityRefs":{"description":"References of facilities this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"},"id":{"description":"Auto generated unique identifier","type":"string"},"userRefs":{"description":"References of users this scope applies to","items":{"type":"string"},"maxItems":100,"type":"array"}},"required":["id"],"title":"RemoteConfigurationScope","type":"object","description":"RemoteConfigurationScope"},"RemoteConfigurationValueType":{"description":"The type of the value","enum":["BOOLEAN","STRING","JSON","NUMBER","INT"],"title":"RemoteConfigurationValueType","type":"string"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/remoteconfigs/{id}/scopes/{scopeId}":{"delete":{"deprecated":false,"description":"Remove a scope from an existing remote configuration by scope ID. The scope will be removed from the list of existing scopes. Also accepts key in URN format (e.g. urn:fft:remoteconfig:key:{your-key}).","operationId":"deleteScopeFromRemoteConfiguration","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}},{"in":"path","name":"scopeId","required":true,"schema":{"type":"string"}},{"description":"Version of the remote config for optimistic locking","in":"query","name":"version","required":true,"schema":{"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteConfiguration"}}},"description":"Successfully Deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete remote config scope","tags":["Remote Configs (Core)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/remote-configs-core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
